<template>
    <AddProduct v-if="condition==='addProduct'" @sent="selectCondition"/>
    <ProductView v-else-if="condition==='productView'" @sent="selectCondition" @edit="editCondition"/>
    <EditProduct v-else-if="condition==='editProduct'" :product="info" @sent="selectCondition"/>
</template>

<script>
    import AddProduct from "./AddProduct";
    import EditProduct from "./EditProduct";
    import ProductView from "./ProductView";
    export default {
        data(){
            return {
                condition :'productView',
                info:'',
            };
        },
        mounted() {
            //console.log('category component');
        },
        methods:{
            selectCondition(text){
                this.condition=text;
            },
            editCondition(object){
                this.condition='editProduct';
                this.info=object;
                //console.log(object);
            },
        },
        components:{AddProduct,EditProduct,ProductView}
    }
</script>
